%define name clips 
%define version 6.10
%define rel 6mdk

Summary: Clips language for expert systems
Name: %{name}
Version: %{version}
Release: %{rel}
License: BSD style
Group: Development/Other
Packager: Daouda Lo <daouda@mandrakesoft.com>
Source0: http://www.ghg.net/clips/download/source/clipssrc.tar.Z
Source1: http://www.ghg.net/clips/download/source/x-prjct.tar.Z
Source2: http://www.ghg.net/clips/download/source/makefile.Z
Source3: http://www.ghg.net/clips/download/source/clips.hlp
Source4: http://www.ghg.net/clips/download/documentation/abstract.pdf
Source5: http://www.ghg.net/clips/download/documentation/apg.pdf
Source6: http://www.ghg.net/clips/download/documentation/arch5-1.pdf
Source7: http://www.ghg.net/clips/download/documentation/bpg.pdf
Source8: http://www.ghg.net/clips/download/documentation/ig.pdf
Source9: http://www.ghg.net/clips/download/documentation/usrguide.pdf
Patch0: clips-setup.patch.bz2
Patch1: clips-X11R6.patch.bz2
Patch2: clips-Xaw3d.patch.bz2
BuildRequires:	gcc libtermcap-devel ncompress Xaw3d-devel XFree86 XFree86-devel
BuildRoot: %{_tmppath}/%name-%version-root

%package X11
Summary: X interface to Clips
Group: Development/Other
Requires: clips

%description
This is the Clips expert systems language.

%description X11
X interface to Clips.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -a 1 -c -q
mv x-prjct/makefile/makefile.x source
mv x-prjct/xinterface/* source
%patch0 -p0 -b setup
%patch1 -p0 -b X11R6
%patch2 -p0 -b Xaw3d

%build
uncompress -c %SOURCE2 > source/makefile
pushd source 
%make
%make -f makefile.x
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_prefix}/{X11R6/bin,bin,doc,share/clips}
install -m 0755 -s source/clips $RPM_BUILD_ROOT%{_prefix}/bin/
install -m 0755 -s source/xclips $RPM_BUILD_ROOT%{_prefix}/X11R6/bin/
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT%{_datadir}/clips/
cp %SOURCE3 .
mkdir -p $RPM_BUILD_ROOT%{_docdir}/clips-%PACKAGE_VERSION
for i in %SOURCE4 %SOURCE5 %SOURCE6 %SOURCE7 %SOURCE8 %SOURCE9; do
install -m 0644 $i $RPM_BUILD_ROOT%{_docdir}/clips-%PACKAGE_VERSION
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %{_bindir}/clips
%attr(-,root,root) %{_docdir}/clips-%PACKAGE_VERSION
%attr(-,root,root) %{_datadir}/clips

%files X11
%attr(-,root,root) %{_prefix}/X11R6/bin/xclips
%attr(-,root,root) %doc clips.hlp
 
%changelog 
* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 6.10-6mdk
- replaced "make -j2" with "%make"
- BuildRequires

* Wed Oct 17 2001 Daouda LO <daouda@mandrakesoft.com> 6.10-5mdk
- spec cleanup
- rpmlint compliant

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 6.10-4mdk
- BuildRequires: ncompress

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 6.10-3mdk
- BuildRequires:	libtermcap-devel
- BuildRequires:	Xaw3d-devel
- BuildRequires:	XFree86-devel

* Fri Jul  6 2001 Daouda LO <daouda@mandrakesoft.com> 6.10-2mdk
- s|Linux-Mandrake|Mandrake Linux|
- s|Copyright|License|

* Tue Nov 21 2000 Daouda Lo <daouda@mandrakesoft.com> 6.10-1mdk
- fisrt mdk package .
- add packager tag .
